<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Compañia Cuartel</title>
    </h:head>
    <h:body>
        <ui:include src="menu.xhtml"/>

        <p:fieldset legend="Detallar un cuartel para la compañia">
            <h:form id="formCompania_cuartel">

                <p:growl id="mensaje"/>
                <h:panelGrid columns="2">
                    <p:outputLabel value="Seleccione un cuartel"/>
                    <p:selectOneMenu value="#{compania_cuartelController.cuartel.idcuartel}">
                        <f:selectItems value="#{cuartelController.lista}" var="cuartel" itemLabel="#{cuartel.nombre}" itemValue="#{cuartel.idcuartel}"/>
                    </p:selectOneMenu>
                    <p:outputLabel value="Seleccione una compañia"/>
                    <p:selectOneMenu value="#{compania_cuartelController.compania.idcompania}">
                        <f:selectItems value="#{companiaController.lista}" var="compania" itemLabel="#{compania.compania}" itemValue="#{compania.idcompania}"/>
                    </p:selectOneMenu>
                    <p:commandButton disabled="#{!compania_cuartelController.boton}" value="Enviar" actionListener="#{compania_cuartelController.insertar()}" update=":listaCompania_cuartel,:formCompania_cuartel,:formCompania_cuartel:mensaje"/>
                    <p:commandButton disabled="#{compania_cuartelController.boton}" value="Actualizar" actionListener="#{compania_cuartelController.actualizar()}" update=":listaCompania_cuartel,:formCompania_cuartel,:formCompania_cuartel:mensaje"/>
                </h:panelGrid>
            </h:form>
        </p:fieldset>

        <br/>
        <br/>

        <p:fieldset legend="Lista de cuarteles y sus compañias">
            <h:form id="listaCompania_cuartel">
                <p:dataTable value="#{compania_cuartelController.lista}" var="compania_cuartel" paginator="true" rows="5">
                    <p:column headerText="Cuartel">
                        <p:outputLabel value="#{compania_cuartel.idcuartel.nombre}"/>
                    </p:column>
                    <p:column headerText="Compañia">
                        <p:outputLabel value="#{compania_cuartel.idcompania.compania}"/>
                    </p:column>
                    <p:column>
                        <p:commandButton value="Eliminar" action="#{compania_cuartelController.eliminar(compania_cuartel)}" update=":listaCompania_cuartel"/>
                        <p:commandButton value="Editar" action="#{compania_cuartelController.consultarById(compania_cuartel)}" update=":formCompania_cuartel"/>
                    </p:column>
                </p:dataTable>
            </h:form>
        </p:fieldset>

    </h:body>
</html>

